/* $Workfile: OsaStd.h $   $Revision: 11 $    $Modtime: 5/04/02 1:23p $  */
#ifndef OSA_STD_H
#define OSA_STD_H
/*******************************************************************************

  @doc PublicHwApi OsaStd

  Copyright (C) 1999 Odin TeleSystems Inc., All Rights Reserved

  OTX Generic Hardware Driver API

  @module
  OsaStd | This file contains prototypes for platform the
  generic implementation of some of the stdio.h, string.h, and ctype.h functions.

  @contents2
  OsaStd.h |

  @index func | OsaStd

  @contents2
  Generic stdio.h Functions - OsaStdXXX() | A platform 
  generic implementation of some of the stdio.h, string.h, and ctype.h functions.
  
  @head3 OsaStdXXX() Function Reference |

  @index func | OsaStd

*******************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif

#if (defined(__linux__) || defined(_WIN32_WCE))

/******************************************************************************

  @func
    Platform generic Osa implementation of the standard strupr() function.

  @comm
    Osa functions are used by the demo programs.

  @xref
    <f OsaConsoleInit>

******************************************************************************/
void OsaStdStrUpr(
  char *s            // @parm String to be converted to upper case. See strupr() in string.h
);


/******************************************************************************

  @func
    Platform generic Osa implementation of the standard toupper() function.

  @comm
    Osa functions are used by the demo programs.

  @xref
    <f OsaConsoleInit>

******************************************************************************/
int OsaStdToUpr(
  int c              // @parm char to be converted to upper case. See toupper() in file ctype.h
);

#elif defined(WIN32)

#define OsaStdStrUpr(s) strupr(s)
#define OsaStdToUpr(c) toupper(c)

#else

#error "Platform not supported"

#endif

#if defined(__cplusplus)
}
#endif


/*******************************************************************************

  Copyright (C) Odin TeleSystems Inc., 1999

  All rights reserved. No part of this computer program may be reproduced,
  stored in any retrieval system, or transmitted, in any form or by any
  means, electronic, mechanical, photocopying, recording, or otherwise,
  without the prior written permission of Odin TeleSystems Inc., or without
  a permission stipulated in the agreement/contract under which this computer
  program was supplied.

*******************************************************************************/

#endif // OSA_STD_H

